# frozen_string_literal: true

control_port = ENV['CONTROL_PORT'] || 8881

# https://github.com/puma/puma/blob/f5f23aaac7aaccff1b6b138d93dd4b1755ebf1c2/lib/puma/dsl.rb#L97
activate_control_app "tcp://0.0.0.0:#{control_port}", no_token: true

# Note that the Active Record connection pool size must be at least
# the number of threads; we run in Puma "single" mode with 1 process
threads 0, 4
